@if (offer?.details?.calculations) {
<table
  mat-table
  [dataSource]="offer!.details.calculations!"
  class="mat-elevation-z8"
>
  <ng-container matColumnDef="costs">
    <th mat-header-cell *matHeaderCellDef>Costs</th>
    <td mat-cell *matCellDef="let calculation">{{ calculation.label }}</td>
  </ng-container>
  <ng-container matColumnDef="currency">
    <th mat-header-cell *matHeaderCellDef>Currency</th>
    <td mat-cell *matCellDef="let calculation">{{ calculation.currency }}</td>
  </ng-container>
  <ng-container matColumnDef="amount">
    <th mat-header-cell *matHeaderCellDef>Amount</th>
    <td mat-cell *matCellDef="let calculation">
      {{ calculation.value | number : "1.2-2" }}
    </td>
  </ng-container>
  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
</table>
}
